// FindPage.cpp : implementation file
//

#include "stdafx.h"
#include "ModalDemo.h"
#include "FindPage.h"

#include "FindSheet.h"

// CFindPage dialog

IMPLEMENT_DYNAMIC(CFindPage, CPropertyPage)
CFindPage::CFindPage()
	: CPropertyPage(CFindPage::IDD)
{
}

CFindPage::~CFindPage()
{
}

void CFindPage::DoDataExchange(CDataExchange* pDX)
{
  CPropertyPage::DoDataExchange(pDX);
  DDX_Control(pDX, IDC_COMBO1, m_cboLanguages);
  DDX_Control(pDX, IDC_BUTTON1, m_btnFind);
}


BEGIN_MESSAGE_MAP(CFindPage, CPropertyPage)
  ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedButton1)
END_MESSAGE_MAP()


// CFindPage message handlers

void CFindPage::OnBnClickedButton1()
{
 CFindSheet* pParentSheet = (CFindSheet*)GetParent();
 ASSERT(pParentSheet-IsKindOf(RUNTIME_CLASS(CFindSheet)));

 int index = m_cboLanguages.GetCurSel();
 if (index == CB_ERR)
   pParentSheet->SetResults(0);
 else
   pParentSheet->SetResults(index);
}
