// ModalDemoView.cpp : implementation of the CModalDemoView class
//

#include "stdafx.h"
#include "ModalDemo.h"

#include "FindSheet.h"
#include "ModalDemoDoc.h"
#include "ModalDemoView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#include "FindPage.h"
#include "ResultsPage.h"

// CModalDemoView

IMPLEMENT_DYNCREATE(CModalDemoView, CView)

BEGIN_MESSAGE_MAP(CModalDemoView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
  ON_COMMAND(ID_BOOKS_FINDBOOK, OnBooksFindbook)
END_MESSAGE_MAP()

// CModalDemoView construction/destruction

CModalDemoView::CModalDemoView()
{
	// TODO: add construction code here

}

CModalDemoView::~CModalDemoView()
{
}

BOOL CModalDemoView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CModalDemoView drawing

void CModalDemoView::OnDraw(CDC* /*pDC*/)
{
	CModalDemoDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}


// CModalDemoView printing

BOOL CModalDemoView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CModalDemoView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CModalDemoView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CModalDemoView diagnostics

#ifdef _DEBUG
void CModalDemoView::AssertValid() const
{
	CView::AssertValid();
}

void CModalDemoView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CModalDemoDoc* CModalDemoView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CModalDemoDoc)));
	return (CModalDemoDoc*)m_pDocument;
}
#endif //_DEBUG


// CModalDemoView message handlers

void CModalDemoView::OnBooksFindbook()
{
 CFindSheet sheet(IDS_FIND);
 CFindPage pageFind;
 CResultsPage pageResults;

 sheet.AddPage(&pageFind);
 sheet.AddPage(&pageResults);
 sheet.DoModal();
}
